Records(3pm)

NAME
Lire::Records - Base class for implementation of the records operator.

SYNOPSIS
    use Lire::Records;

DESCRIPTION
This module is the base class for implementation of the records operator. The records operator isn't an aggregator nor a group operation. It only collects information on each DLF records which will be included in the report.

CONSTRUCTOR

  new( %params )
Creates a new instance of a records operator. In addition to the normal report operator parameters, the records operator takes one additional parameter:

fields
    A reference to an array containing the names of the DLF field that should be included in the report.

METHOD

  fields( [$new_fields] )
Returns a reference to an array containing the DLF field names that will be included in the report.

You can use the $new_fields parameter to change that value.

  ops()
FIXME

SEE ALSO
 Lire::ReportSpec(3pm), Lire::Aggregate(3pm),
 Lire::ReportOperator(3pm), Lire::Group(3pm), Lire::Timegroup(3pm),
 Lire::Timeslot(3pm), Lire::Rangegroup(3pm)

AUTHORS
  Francis J. Lacoste <flacoste@logreport.org>
  Wolfgang Sourdeau <wsourdeau@logerpotr.org>

VERSION
$Id: Records.pm,v 1.24 2006/07/23 13:16:29 vanbaal Exp $

COPYRIGHT
Copyright (C) 2001-2004 Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.